> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/sdk/september-2026/push-provisioning-classic-android-v2.0.0.md).

# Push Provisioning (Classic) Android v2.0.0

### Supported platforms & processor architectures

* Android 8.1.0 or later
* Architectures: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

### New features

#### Google Unified Push Provisioning

{% hint style="warning" %}
Google mandates support for Unified Push Provisioning (UPP).

TSP OPC only provisioning is not supported anymore.

For more details, refer to: [https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade\_to\_upp](https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade_to_upp?authuser=1)
{% endhint %}

* Add support for Google Unified Push Provisioning.
* Add support for Bounce provisioning.
* Add new class: `GoogleProvisioningResult` to retrieve Google Pay card-saved status.

### Improvements

* Remove `OEMPayType.NONE`. `OEMPayType` now only needs to be set when performing OEM Wallet provisioning operations.
* Remove the deprecated API `PushProvisioning.addCard(CardInfo cardInfo, String publicKeyId, boolean tcsAccepted, CallbackObject callbackObject, String pushHandler, TPCSDKListener listener)` API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/release-notes/sdk/september-2026/push-provisioning-classic-android-v2.0.0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
